package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcFbqk;

import java.util.List;

/**
 * 分布情况 tc_fbqkService接口
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcFbqkService {
    /**
     * 查询分布情况 tc_fbqk
     *
     * @param id 分布情况 tc_fbqk主键
     * @return 分布情况 tc_fbqk
     */
    public TcFbqk selectTcFbqkById(Long id);

    /**
     * 查询分布情况 tc_fbqk列表
     *
     * @param tcFbqk 分布情况 tc_fbqk
     * @return 分布情况 tc_fbqk集合
     */
    public List<TcFbqk> selectTcFbqkList(TcFbqk tcFbqk);

    /**
     * 新增分布情况 tc_fbqk
     *
     * @param tcFbqk 分布情况 tc_fbqk
     * @return 结果
     */
    public int insertTcFbqk(TcFbqk tcFbqk);

    /**
     * 修改分布情况 tc_fbqk
     *
     * @param tcFbqk 分布情况 tc_fbqk
     * @return 结果
     */
    public int updateTcFbqk(TcFbqk tcFbqk);

    /**
     * 批量删除分布情况 tc_fbqk
     *
     * @param ids 需要删除的分布情况 tc_fbqk主键集合
     * @return 结果
     */
    public int deleteTcFbqkByIds(Long[] ids);

    /**
     * 删除分布情况 tc_fbqk信息
     *
     * @param id 分布情况 tc_fbqk主键
     * @return 结果
     */
    public int deleteTcFbqkById(Long id);


    /**
     * 导入分布情况 tc_fbqk信息
     *
     * @return 结果
     */
    public String importUser(List<TcFbqk> tcFbqkList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
